> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/d1-v1-api/ja/d1-v1-apirifarensu/konshm/models.md).

# Models

## The reasonBody object

```json
{"openapi":"3.0.0","info":{"title":"Inbound Consumer API","version":"1.0"},"components":{"schemas":{"reasonBody":{"type":"object","properties":{"reason":{"$ref":"#/components/schemas/reason"},"reasonCode":{"type":"string","description":"The reason why the action has been performed. If not provided, default reason code is ISSUER_DECISION.","enum":["USER_DECISION","ISSUER_DECISION"]}}},"reason":{"type":"string","title":"reason","pattern":"^[a-zA-Z0-9 ]{1,64}$","description":"The reason why the action is performed.\n\nThis a free text field in case the Issuer wants to send details, that will be returned in the operations list."}}}}
```

## The operationConsumer object

```json
{"openapi":"3.0.0","info":{"title":"Inbound Consumer API","version":"1.0"},"components":{"schemas":{"operationConsumer":{"title":"Consumer Operation","type":"object","description":"Operation details related to a specific operationId","properties":{"operationId":{"$ref":"#/components/schemas/operationId"},"operation":{"type":"string","description":"The operation type.","enum":["CLICK_TO_PAY_UPDATE","DELETE","DELETE_AUTHN","ENROLL_AUTHN","REGISTER","RESUME","SUSPEND"]},"status":{"type":"string","enum":["SUCCESSFUL","PENDING","FAILED"],"description":"Status of the operation"},"startTime":{"$ref":"#/components/schemas/operationStartTime"},"endTime":{"$ref":"#/components/schemas/operationEndTime"},"requestorType":{"type":"string","enum":["ISSUER","USER","CCI"]},"requestorId":{"type":"string","description":"Identifier of the principal who initiates the operation\n  - consumerId if requestorType is USER\n  - issuerId if requestorType is ISSUER\n  - cci user id if requestorType is CCI"},"reason":{"$ref":"#/components/schemas/reason"},"reasonCode":{"type":"string","enum":["USER_DECISION","ISSUER_DECISION"]},"details":{"type":"object","oneOf":[{"title":"REGISTER, SUSPEND, RESUME, DELETE operations","properties":{"oldState":{"type":"string","deprecated":true,"enum":["ACTIVE","INACTIVE"],"description":"Old state of the end user (consumer)<br/>**Note**: Consumer state is deprecated, this optional parameter will soon be removed from the response."},"newState":{"type":"string","deprecated":true,"enum":["ACTIVE","INACTIVE","DELETED"],"description":"New state of the end user (consumer)<br/>**Note**: Consumer state is deprecated, this optional parameter will soon be removed from the response."}}},{"title":"ENROLL_AUTHN, DELETE_AUTHN operation","properties":{"appInstanceId":{"$ref":"#/components/schemas/appInstanceId"}}}]},"errorCode":{"type":"string","description":"External error code"},"error":{"type":"string","description":"Human readable string representing the error, only present in case of operation failure","maxLength":256,"pattern":"/^[a-zA-Z0-9_ \\/\\\\\\[\\],.'#;:{}()?!*-]*$/"}},"required":["operationId","operation","status","startTime","requestorId","requestorType"]},"operationId":{"type":"string","description":"Unique identifier of the operation","minLength":1,"maxLength":64,"pattern":"[A-Za-z0-9_-]{1,64}"},"operationStartTime":{"type":"string","title":"Operation Start Time","description":"The time the request has been processed.\nFormat ISO 8601 YYYY-MM-DDThh:mm:ssTZD","minLength":1,"maxLength":64},"operationEndTime":{"type":"string","title":"Operation End Time","description":"The time the operation has been completed.\nFormat ISO 8601 YYYY-MM-DDThh:mm:ssTZD\nnote: This is an optional field and might not be returned for synchronous operations.","minLength":1,"maxLength":64},"reason":{"type":"string","title":"reason","pattern":"^[a-zA-Z0-9 ]{1,64}$","description":"The reason why the action is performed.\n\nThis a free text field in case the Issuer wants to send details, that will be returned in the operations list."},"appInstanceId":{"description":"Unique identifier of the issuer application instance.","type":"string"}}}}
```

## The issuerId object

```json
{"openapi":"3.0.0","info":{"title":"Inbound Consumer API","version":"1.0"},"components":{"schemas":{"issuerId":{"maxLength":10,"minLength":10,"type":"string"}}}}
```

## The consumerId object

```json
{"openapi":"3.0.0","info":{"title":"Inbound Consumer API","version":"1.0"},"components":{"schemas":{"consumerId":{"type":"string","description":"Unique identifier of the end user. ","minLength":1,"maxLength":64,"pattern":"[A-Za-z0-9_-]{1,64}"}}}}
```

## The errorGeneric object

```json
{"openapi":"3.0.0","info":{"title":"Inbound Consumer API","version":"1.0"},"components":{"schemas":{"errorGeneric":{"type":"object","description":"Generic error returned by the APIs.","properties":{"error":{"type":"string","description":"Description of the error.<br/>This field is for troubleshooting purposes only, it can change at any time so MUST NOT be parsed, and is not supposed to be human readable so CANNOT be displayed to end users."}}}}}}
```

## The reason object

```json
{"openapi":"3.0.0","info":{"title":"Inbound Consumer API","version":"1.0"},"components":{"schemas":{"reason":{"type":"string","title":"reason","pattern":"^[a-zA-Z0-9 ]{1,64}$","description":"The reason why the action is performed.\n\nThis a free text field in case the Issuer wants to send details, that will be returned in the operations list."}}}}
```

## The operationId object

```json
{"openapi":"3.0.0","info":{"title":"Inbound Consumer API","version":"1.0"},"components":{"schemas":{"operationId":{"type":"string","description":"Unique identifier of the operation","minLength":1,"maxLength":64,"pattern":"[A-Za-z0-9_-]{1,64}"}}}}
```

## The operationStatusSuccessful object

```json
{"openapi":"3.0.0","info":{"title":"Inbound Consumer API","version":"1.0"},"components":{"schemas":{"operationStatusSuccessful":{"title":"operation","type":"object","description":"Operation result information.","properties":{"operationId":{"$ref":"#/components/schemas/operationId"},"status":{"type":"string","description":"Status of the operation","enum":["SUCCESSFUL"]}}},"operationId":{"type":"string","description":"Unique identifier of the operation","minLength":1,"maxLength":64,"pattern":"[A-Za-z0-9_-]{1,64}"}}}}
```

## The operationStatusFailed object

```json
{"openapi":"3.0.0","info":{"title":"Inbound Consumer API","version":"1.0"},"components":{"schemas":{"operationStatusFailed":{"title":"operation","type":"object","description":"Operation result information.","properties":{"operationId":{"$ref":"#/components/schemas/operationId"},"status":{"type":"string","description":"Status of the operation","enum":["FAILED"]}}},"operationId":{"type":"string","description":"Unique identifier of the operation","minLength":1,"maxLength":64,"pattern":"[A-Za-z0-9_-]{1,64}"}}}}
```

## The operationStartTime object

```json
{"openapi":"3.0.0","info":{"title":"Inbound Consumer API","version":"1.0"},"components":{"schemas":{"operationStartTime":{"type":"string","title":"Operation Start Time","description":"The time the request has been processed.\nFormat ISO 8601 YYYY-MM-DDThh:mm:ssTZD","minLength":1,"maxLength":64}}}}
```

## The operationEndTime object

```json
{"openapi":"3.0.0","info":{"title":"Inbound Consumer API","version":"1.0"},"components":{"schemas":{"operationEndTime":{"type":"string","title":"Operation End Time","description":"The time the operation has been completed.\nFormat ISO 8601 YYYY-MM-DDThh:mm:ssTZD\nnote: This is an optional field and might not be returned for synchronous operations.","minLength":1,"maxLength":64}}}}
```

## The appInstanceId object

```json
{"openapi":"3.0.0","info":{"title":"Inbound Consumer API","version":"1.0"},"components":{"schemas":{"appInstanceId":{"description":"Unique identifier of the issuer application instance.","type":"string"}}}}
```

## The cardId object

```json
{"openapi":"3.0.0","info":{"title":"Inbound Consumer API","version":"1.0"},"components":{"schemas":{"cardId":{"type":"string","description":"Unique identifier of the card.","minLength":1,"maxLength":48,"pattern":"[A-Za-z0-9_-]{1,48}"}}}}
```

## The cardProductId object

```json
{"openapi":"3.0.0","info":{"title":"Inbound Consumer API","version":"1.0"},"components":{"schemas":{"cardProductId":{"type":"string","description":"Unique identifier of the type of card (defined during the onboarding of D1)","minLength":1,"maxLength":48,"pattern":"[A-Za-z0-9_-]{1,48}"}}}}
```

## The clickToPayConsumerInfo object

```json
{"openapi":"3.0.0","info":{"title":"Inbound Consumer API","version":"1.0"},"components":{"schemas":{"clickToPayConsumerInfo":{"title":"Click to Pay ConsumerInfo","type":"object","description":"The consumer details that have to be pushed into the Click to Pay directory.<br/>\nThis optional parameter is only applicable if the issuer wants to use Click to Pay auto-enrolment, and if the card product is elligible to Click to Pay auto-enrolment.","required":["firstName","lastName","language","mobilePhoneNumber"],"properties":{"firstName":{"description":"First name of the end user (consumer).","type":"string","pattern":"^[\\p{L}\\p{N}\\u0600-\\u06FF ,.'_#;:\\/-]{1,35}$","minLength":1,"maxLength":35},"middleName":{"description":"Middle name of the end user (consumer). It is applicable only to Visa.","type":"string","pattern":"^[\\p{L}\\p{N}\\u0600-\\u06FF ,.'_#;:\\/-]{1,35}$","minLength":1,"maxLength":35},"lastName":{"description":"Last name of the end user (consumer).","type":"string","pattern":"^[\\p{L}\\p{N}\\u0600-\\u06FF ,.'_#;:\\/-]{1,35}$","minLength":1,"maxLength":35},"language":{"description":"Language of the end user (consumer). Based on ISO format for language (ISO 639–1) and an alpha-2 country code (ISO 3166–1 alpha-2). The language must be lowercase, and the country must be uppercase ideally. The language and country should be separated using a minus character \"-\"","type":"string","pattern":"^[a-z]{2}-[a-zA-Z]{2}$","minLength":5,"maxLength":5},"mobilePhoneNumber":{"description":"Phonenumber of the end user (consumer). Shall respect the E-164 format.","type":"object","required":["countryCode","phoneNumber"],"properties":{"countryCode":{"description":"Internantional country code of the end user's phonenumber. Shall start with the '+' sign.","type":"string","pattern":"^\\+[0-9]{1,10}$","minLength":2,"maxLength":10},"phoneNumber":{"description":"National phonenumber of the end user. Shall not contain the first '0' of the national phonenumber.","type":"string","pattern":"^[0-9]{1,14}$","minLength":1,"maxLength":14}}},"email":{"description":"Email of the end user (consumer). Mandatory for Mastercard.","type":"string","minLength":6,"maxLength":255,"pattern":"^[a-zA-Z0-9_+&*-]+(?:\\.[a-zA-Z0-9_+&*-]+)*@(?:[a-zA-Z0-9-]+\\.)+[a-zA-Z]{2,15}$"},"residencyAddress":{"description":"Residency address of the end user (consumer). In the context of Click to Pay it will be used as 'billing address' associated to each cards.\n<br/>**Mandatory for Visa**.\n<br/>**Note**: For Mastercard this field is optional, but when set all fields inside must be provided, in accordance with Mastercard specifications. ","type":"object","required":["countryCode"],"properties":{"line1":{"description":"First line of the address.","type":"string","pattern":"^[\\p{L}\\p{N}\\u0600-\\u06FF ,.'_#;:\\/-]{1,64}$","minLength":1,"maxLength":64},"line2":{"description":"Second line of the address.","type":"string","pattern":"^[\\p{L}\\p{N}\\u0600-\\u06FF ,.'_#;:\\/-]{1,64}$","minLength":1,"maxLength":64},"line3":{"description":"Third line of the address.","type":"string","pattern":"^[\\p{L}\\p{N}\\u0600-\\u06FF ,.'_#;:\\/-]{1,64}$","minLength":1,"maxLength":64},"city":{"description":"City.","type":"string","pattern":"^[\\p{L}\\p{N}\\u0600-\\u06FF ,.'_#;:\\/-]{1,32}$","minLength":1,"maxLength":32},"state":{"type":"string","pattern":"^[A-Z0-9]{1,3}$","minLength":1,"maxLength":3,"description":"State. Second part of ISO_3166-2 format, representing the state (country subdivision) based on the country."},"zipCode":{"description":"Country zip Code.","type":"string","pattern":"^[0-9a-zA-Z ]{1,10}$","minLength":1,"maxLength":10},"countryCode":{"type":"string","pattern":"^[A-Z]{2}$","minLength":2,"maxLength":2,"description":"Country code. Based on ISO 3166-1 alpha-2 format."}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/d1-v1-api/ja/d1-v1-apirifarensu/konshm/models.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
